# TOra Globals

Annotated List
Files
Globals
Hierarchy
Index

### toconnection.h

- typedef toQuery::queryDescribe toQDescribe
- typedef std::list<toQDescribe> toQDescList

### tomain.h

- void toStatusMessage (const QString &str,bool save=false,bool log=true)
- toMain * toMainWidget (void)
- QString toSQLToAddress (toConnection &conn,const QString &sql)
- QString toSQLString (toConnection &conn,const QString &address)
- void toReadableColumn (QString &col)
- QString toNow (toConnection &conn)
- void toSetSessionType (const QString &str)
- QString toGetSessionType (void)
- QComboBox * toRefreshCreate (QWidget *parent,const char *name=NULL,const QString &def=QString::null, QComboBox *item=NULL)
- void toRefreshParse (toTimer *timer,const QString &str=QString::null)
- bool toMonolithic (void)
- QString toDeepCopy (const QString &str)
- QToolBar * toAllocBar (QWidget *parent,const QString &name,const QString &db)
- TODock * toAllocDock (const QString &name, const QString &db, const QPixmap &icon)
- void toAttachDock (TODock *dock,QWidget *container,QMainWindow::ToolBarDock place)
- int toSizeDecode (const QString &str)
- template <class T> T toShift (std::list<T> &lst)
- template <class T> void toUnShift (std::list<T> &lst,const T &str)
- template <class T> T toPop (std::list<T> &lst)
- template <class T> void toPush (std::list<T> &lst,const T &str)
- template <class T> std::list<T>::iterator toFind (std::list<T> &lst,const T &str)
- QString toGetToken (toMarkedText *text,int &curLine,int &pos, bool forward=true,bool comments=false)
- QFont toStringToFont (const QString &str)
- QString toFontToString (const QFont &fnt)
- QString toHelpPath (void)
- QCString toReadFile (const QString &filename)
- bool toWriteFile (const QString &filename,const QCString &data)
- bool toWriteFile (const QString &filename,const QString &data)
- bool toCompareLists (QStringList &l1,QStringList &l2,unsigned int len)
- void toSetEnv (const QCString &var,const QCString &val)
- void toUnSetEnv (const QCString &var)
- QString toOpenFilename (const QString &filename,const QString &filter,QWidget *parent)
- QString toSaveFilename (const QString &filename,const QString &filter,QWidget *parent)
- int toToolMenuIndex (void)
- bool inline toIsIdent (QChar c)
- QString toPluginPath (void)
- std::list<QString> toStatusMessages (void)
- QColor toChartColor (int index)
- toConnection & toCurrentConnection (QObject *widget)
- toToolWidget * toCurrentTool (QObject *widget)
- bool toIsOracle (const toConnection &)
- QString toSQLStripSpecifier (const QString &sql)
- QString toSQLStripBind (const QString &sql)
- QListViewItem * toFindItem (QListView *list,const QString &str)
- void toToolCaption (toToolWidget *tool,const QString &caption)
- template <class T> T max (T a, T b)
- template <class T> T min (T a, T b)

### toqvalue.h

- typedef std::list<toQValue> toQList

## Global member Documentation

typedef toQuery::queryDescribe toQDescribe

### toQDescribe

`#include <toconnection.h>`

A short representation of a toQuery::queryDescribe

typedef std::list<toQDescribe> toQDescList

### toQDescList

`#include <toconnection.h>`

A short representation of list<toQuery::queryDescribe>

void toStatusMessage (const QString &str,bool save=false,bool log=true)

### toStatusMessage

`#include <tomain.h>`

Display a message in the statusbar of the main window.

Parameters:

str | Message to display
save | If true don't remove the message after a specified interval.
log | Log message. Will never log saved messages.

toMain * toMainWidget (void)

### toMainWidget

`#include <tomain.h>`

Get a pointer to the main window

Returns: Pointer to main window.

QString toSQLToAddress (toConnection &conn,const QString &sql)

### toSQLToAddress

`#include <tomain.h>`

Get an address to a SQL statement in the SGA. The address has the form 'address:hash_value' which are resolved from the v$sqltext_with_newlines view in Oracle.

Parameters:

conn | Connection to get address from
sql | Statement to get address for.

Returns: String with address in.

Throws: QString, if, address, not, found.

QString toSQLString (toConnection &conn,const QString &address)

### toSQLString

`#include <tomain.h>`

Get the full SQL of an address (See toSQLToAddress) from the SGA.

Parameters:

conn | Connection to get address from
sql | Address of SQL.

Returns: String with SQL of statement.

Throws: QString, if, address, not, found.

void toReadableColumn (QString &col)

### toReadableColumn

`#include <tomain.h>`

Make a column name more readable.

Parameters:

col | Name of column name, will be modified.

QString toNow (toConnection &conn)

### toNow

`#include <tomain.h>`

Get the current database time in the current sessions dateformat.

Parameters:

conn | Connection to get address from.

Returns: String with the current date and time.

void toSetSessionType (const QString &str)

### toSetSessionType

`#include <tomain.h>`

Set the current session type (Style)

Parameters:

str | Session to set, can be any of Motif, Motif Plus, SGI, CDE, Windows and Platinum

Throws: QString, if, style, not, available.

QString toGetSessionType (void)

### toGetSessionType

`#include <tomain.h>`

Get current session type (Style)

Returns: A string describing the current style.

See also: toSetSessionType

QComboBox * toRefreshCreate (QWidget *parent,const char *name=NULL,const QString &def=QString::null, QComboBox *item=NULL)

### toRefreshCreate

`#include <tomain.h>`

Create or fill a combobox with refresh intervals.

Parameters:

parent | Parent of created combobox.
name | Name of created combobox.
def | Default value of the combobox.
item | Combo box to fill. If not specified a new combobox is created.

void toRefreshParse (toTimer *timer,const QString &str=QString::null)

### toRefreshParse

`#include <tomain.h>`

Set a timer with the value from a refresh combobox (See toRefreshCreate).

Parameters:

timer | Timer to set timeout in.
str | String from currentText of combobox. If empty, set to default.

bool toMonolithic (void)

### toMonolithic

`#include <tomain.h>`

Get information about wether this TOra has plugin support or not.

Returns: True if plugin support is enabled.

QString toDeepCopy (const QString &str)

### toDeepCopy

`#include <tomain.h>`

Make a deep copy of a string. Usefull when sharing copying strings between threads.

Parameters:

str | String to copy

Returns: Copied string.

QToolBar * toAllocBar (QWidget *parent,const QString &name,const QString &db)

### toAllocBar

`#include <tomain.h>`

Allocate a toolbar. This is needed since Qt and KDE use different toolbars.

Parameters:

parent | Parent of toolbar.
name | Name of toolbar.
db | Database name or empty if N/A.

Returns: A newly created toolbar.

TODock * toAllocDock (const QString &name, const QString &db, const QPixmap &icon)

### toAllocDock

`#include <tomain.h>`

Allocate a new docked window. This is needed since Qt and KDE docks windows differently (Qt 2.x doesn't even have support for docked windows). Observe that you must attach a dock using toAttachDock after allocating it.

Parameters:

name | Name of window.
db | Database name or empty if N/A.
icon | Icon of new dock.

Returns: A newly allocated fock.

void toAttachDock (TODock *dock,QWidget *container,QMainWindow::ToolBarDock place)

### toAttachDock

`#include <tomain.h>`

Attach a dock to a specified position.

Parameters:

dock | Dock to attach
container | Whatever container is supposed to be in the dock window.
place | Where to place the dock.

int toSizeDecode (const QString &str)

### toSizeDecode

`#include <tomain.h>`

Decode a size string this basically converts "KB" to 1024, "MB" to 1024KB and everything else to 1.

Returns: Multiplier specified by string.

template <class T> T toShift (std::list<T> &lst)

### toShift

`#include <tomain.h>`

Shift the first value out of a list.

Parameters:

lst | List to shift value from (Also modified).

Returns: The first value in the list.

template <class T> void toUnShift (std::list<T> &lst,const T &str)

### toUnShift

`#include <tomain.h>`

Push an object to the beginning of a list.

Parameters:

lst | List to push value in from of.
str | Object to push.

template <class T> T toPop (std::list<T> &lst)

### toPop

`#include <tomain.h>`

Pop the last value out of a list.

Parameters:

lst | List to pop value from (Also modified).

Returns: The value in the list of objects.

template <class T> void toPush (std::list<T> &lst,const T &str)

### toPush

`#include <tomain.h>`

Push an object to the end of a list.

Parameters:

lst | List to push value in from of.
str | Object to push.

template <class T> std::list<T>::iterator toFind (std::list<T> &lst,const T &str)

### toFind

`#include <tomain.h>`

Find if an item exists in a list.

Parameters:

lst | List to search for value.
str | Object to search for.

QString toGetToken (toMarkedText *text,int &curLine,int &pos, bool forward=true,bool comments=false)

### toGetToken

`#include <tomain.h>`

Get next SQL token from an editor.

Parameters:

text | Editor to get token from
curLine | Current line when parsing, modified when calling.
pos | Current position when parsing, modified when calling.
forward | If true go forward from current position, otherwise backward.
comments | Include comments as tokens

Returns: String with next token in editor

QFont toStringToFont (const QString &str)

### toStringToFont

`#include <tomain.h>`

Convert a string representation to a font structure.

Parameters:

str | String representing the font.

Returns: Font structure represented by the string.

See also: toFontToString

QString toFontToString (const QFont &fnt)

### toFontToString

`#include <tomain.h>`

Convert a font to a string representation.

Parameters:

fnt | Font to convert.

Returns: String representation of font.

QString toHelpPath (void)

### toHelpPath

`#include <tomain.h>`

Get the path to the help directory.

Returns: Path to the help directory.

QCString toReadFile (const QString &filename)

### toReadFile

`#include <tomain.h>`

Read file from filename.

Parameters:

filename | Filename to read file from.

Returns: Contents of file.

Throws: QString, describing, I/O, problem.

bool toWriteFile (const QString &filename,const QCString &data)

### toWriteFile

`#include <tomain.h>`

Write file to filename.

Parameters:

filename | Filename to write file to.
data | Data to write to file.

bool toWriteFile (const QString &filename,const QString &data)

### toWriteFile

`#include <tomain.h>`

Write file to filename.

Parameters:

filename | Filename to write file to.
data | Data to write to file.

bool toCompareLists (QStringList &l1,QStringList &l2,unsigned int len)

### toCompareLists

`#include <tomain.h>`

Compare two string lists.

Parameters:

l1 | First list to compare.
l2 | Second list to compare.
len | Length of lists to compare.

Returns: True if all first len elements match.

void toSetEnv (const QCString &var,const QCString &val)

### toSetEnv

`#include <tomain.h>`

Set environment variable.

Parameters:

var | Variable name to set.
val | Value to set variable to.

void toUnSetEnv (const QCString &var)

### toUnSetEnv

`#include <tomain.h>`

Delete an environment variable.

Parameters:

var | Environment variable to delete.

QString toOpenFilename (const QString &filename,const QString &filter,QWidget *parent)

### toOpenFilename

`#include <tomain.h>`

Pop up a dialog and choose a file to open.

Parameters:

filename | Default filename to open.
filter | Filter of filenames (See QFileDialog)
parent | Parent of dialog.

Returns: Selected filename.

QString toSaveFilename (const QString &filename,const QString &filter,QWidget *parent)

### toSaveFilename

`#include <tomain.h>`

Pop up a dialog and choose a file to save to.

Parameters:

filename | Default filename to open.
filter | Filter of filenames (See QFileDialog)
parent | Parent of dialog.

Returns: Selected filename.

int toToolMenuIndex (void)

### toToolMenuIndex

`#include <tomain.h>`

Get index of menu to insert tool specific menu at.

Returns: Index of the tool menu entry.

bool inline toIsIdent (QChar c)

### toIsIdent

`#include <tomain.h>`

Check if a character is valid for an identifier in Oracle.

Parameters:

c | Character to check

Returns: True if it is a valid Oracle identifier.

QString toPluginPath (void)

### toPluginPath

`#include <tomain.h>`

Get installation directory of application (Plugin directory on unix, installation target on windows).

Returns: String containing directory

std::list<QString> toStatusMessages (void)

### toStatusMessages

`#include <tomain.h>`

Get a list of the latest status messages that have been shown.

QColor toChartColor (int index)

### toChartColor

`#include <tomain.h>`

Get a color for a chart item.

Parameters:

index | Indicating which chart item to get color for.

toConnection & toCurrentConnection (QObject *widget)

### toCurrentConnection

`#include <tomain.h>`

Return the connection most closely associated with a widget. Currently connections are only stored in toToolWidgets.

Returns: Reference toConnection object closest to the current.

toToolWidget * toCurrentTool (QObject *widget)

### toCurrentTool

`#include <tomain.h>`

Return the tool widget most closely associated with a widget.

Returns: Pointer to tool widget.

bool toIsOracle (const toConnection &)

### toIsOracle

`#include <tomain.h>`

Check if this connection is an oracle connection.

QString toSQLStripSpecifier (const QString &sql)

### toSQLStripSpecifier

`#include <tomain.h>`

Strip extra bind specifier from an SQL statement. (That means the extra <***> part after the bind variable.

Parameters:

sql | The sql to strip.

Returns: Return a string containing the same statement without qualifiers, which means the sql sent to Oracle and available in the SGA.

QString toSQLStripBind (const QString &sql)

### toSQLStripBind

`#include <tomain.h>`

Strip extra binds and replace with empty strings.

Parameters:

sql | The sql to strip.

Returns: Return a string containing the same statement without binds.

QListViewItem * toFindItem (QListView *list,const QString &str)

### toFindItem

`#include <tomain.h>`

Find an item in a listview.

Parameters:

list | The list to search for the item.
str | The string to search for. You can specify parent/child with : in the string.

void toToolCaption (toToolWidget *tool,const QString &caption)

### toToolCaption

`#include <tomain.h>`

Set or change title of a tool window.

Parameters:

tool | Widget of tool.
caption | Caption to set to the tool.

template <class T> T max (T a, T b)

### max

`#include <tomain.h>`

Get maximum number of a and b.

template <class T> T min (T a, T b)

### min

`#include <tomain.h>`

Get minimum number of a and b.

typedef std::list<toQValue> toQList

### toQList

`#include <toqvalue.h>`

A short representation of list<toQuery::queryValue>